Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class DescribeRecord

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.csw.AbstractCSWRequest
              org.deegree.ogcwebservices.csw.discovery.DescribeRecord

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DescribeRecord

extends AbstractCSWRequest

The mandatory DescribeRecord operation allows a client to discover elements of the information model supported by the target catalogue service. The operation allows some or all of the information model to be described.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`DescribeRecord(String id, String version, Map<String,String> vendorSpecificParameter)` Creates a new `DescribeRecord` instance.
`DescribeRecord(String id, String version, Map<String,String> vendorSpecificParameter, Map<String,URI> namespaceMappings, String[] typeNames, String outputFormat, URI schemaLanguage)` Creates a new `DescribeRecord` instance.

Method Summary
`static DescribeRecord` | `create(Map<String,String> kvp)` Creates a new `DecribeRecord` instance from the values stored in the submitted Map.
`static DescribeRecord` | `create(String id, Element root)` creates a GetRecords request from the XML fragment passed.
`Map<String,URI>` | `getNamespaces()` Used to specify namespace(s) and their prefix(es).
`String` | `getOutputFormat()` A MIME type indicating the format that the output document should have.
`URI` | `getSchemaLanguage()` Default value is 'XMLSCHEMA'.
`String[]` | `getTypeNames()` One or more qualified type names to be described.

Methods inherited from class org.deegree.ogcwebservices.csw.AbstractCSWRequest
`getNSMappings, getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeRecord

    DescribeRecord(String id,
                   String version,
                   Map<String,String> vendorSpecificParameter)

  Creates a new `DescribeRecord` instance.

  Parameters:
    `id` -
    `version` -
    `vendorSpecificParameter` -

### DescribeRecord

    DescribeRecord(String id,
                   String version,
                   Map<String,String> vendorSpecificParameter,
                   Map<String,URI> namespaceMappings,
                   String[] typeNames,
                   String outputFormat,
                   URI schemaLanguage)

  Creates a new `DescribeRecord` instance.

  Parameters:
    `id` -
    `version` -
    `vendorSpecificParameter` -
    `namespaceMappings` -
    `typeNames` -
    `outputFormat` -
    `schemaLanguage` -

Method Detail

### create

    public static DescribeRecord create(String id,
                                        Element root)
                                 throws MissingParameterValueException,
                                        InvalidParameterValueException,
                                        OGCWebServiceException

  creates a GetRecords request from the XML fragment passed. The passed element must be valid against the OGC CSW 2.0 GetRecords schema.

  Parameters:
    `id` - unique ID of the request
    `root` - root element of the GetRecors request
  Returns:
    the new instance
  Throws:
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `OGCWebServiceException`

### create

    public static DescribeRecord create(Map<String,String> kvp)
                                 throws InvalidParameterValueException,
                                        MissingParameterValueException

  Creates a new `DecribeRecord` instance from the values stored in the submitted Map. Keys (parameter names) in the Map must be uppercase.

  Parameters:
    `kvp` - Map containing the parameters
  Returns:
    the new instance
  Throws:
    `InvalidParameterValueException`
    `MissingParameterValueException`
  To do:
    evaluate vendorSpecificParameter

### getNamespaces

    public Map<String,URI> getNamespaces()

  Used to specify namespace(s) and their prefix(es). Format is [prefix:]uri. If prefix is not specified, then this is the default namespace.

  Zero or one (Optional). Include value for each namespace used by a TypeName. If not included, all qualified names are in the default namespace

  Returns:
    the mappings

### getTypeNames

    public String[] getTypeNames()

  One or more qualified type names to be described.

  Zero or one (Optional). Default action is to describe all types known to server.

  Returns:
    the type names

### getOutputFormat

    public String getOutputFormat()

  A MIME type indicating the format that the output document should have.

  Zero or one (Optional). Default value is text/xml

  Returns:
    the format

### getSchemaLanguage

    public URI getSchemaLanguage()

  Default value is 'XMLSCHEMA'.

  Returns:
    the language

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org